QGIS Application - Bug report #6671
QGIS 1.9.0alpha should use geos 3.3
2012-11-09 07:35 AM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: win Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15844
Description

In some tickets is reported, that new digitizing features (p.E. one sided buffers, prarlell lines etc...) in QGIS-master are only available with
geos version >= 3.3;
The osgeo4w online installer now installs geos 3.3.x, but Qgis-dev, Menue "help" --->"about" says that geos 3.2.2 is in use (see below

—

Is it possible to use the newer geos version in QGIS to get this new feataures.?

QGIS-Version 1.9.0-Master, QGIS-Codeversion, b5a12d3

Kompiliert gegen Qt 4.7.1 Laufendes Qit 4.7.1 Kompiliert mit GDAL/OGR 1.9.2 Lauft mit GDAL/OGR 1.9.2

GEOS-Version 3.2.2

PostgreSQL-Client-Version 8.3.10 SpatiaLite-Version 3.0.1 QWT-Version 5.2.1 PROJ.4-Version 480 QScintilla2-Version 2.6.2
Diese QGIS-Kopie schreibt Debugausgaben.

History

#1 - 2012-11-09 07:38 AM - Giovanni Manghi
- Status changed from Open to Feedback

| guess this ticket should be filed in the osgeo4w tracker, not here. Cheers.

#2 - 2012-11-13 04:55 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Feedback to Closed
